Python SimpleHTTPServer ‘list_directory()’函数跨站脚本执行漏洞

受影响系统:

RedHat Linux
Python python 2.6.x
Python python 2.5.x

描述:


BUGTRAQ  ID: 54083
CVE(CAN) ID: CVE-2011-4940

PyCrypto是使用Python编写的加密工具包。

PyCrypto在实现上存在跨站脚本执行漏洞,攻击者可利用此漏洞执行任意脚本代码,窃取Cookie凭证,发起其他攻击。

<*来源:vendor
*>

建议:


厂商补丁:

Python
——
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

www.python.org